Get unified post analytics
curl --request GET \
--url https://api.kavenio.com/v1/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kavenio.com/v1/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kavenio.com/v1/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"postId": "<string>",
"status": "<string>",
"publishedAt": "<string>",
"analytics": {
"likes": 4503599627370495,
"comments": 4503599627370495,
"reposts": 4503599627370495,
"quotes": 4503599627370495,
"shares": 4503599627370495,
"saves": 4503599627370495,
"impressions": 4503599627370495,
"reach": 4503599627370495,
"clicks": 4503599627370495,
"views": 4503599627370495,
"engagementRate": 1,
"lastUpdated": "<string>"
},
"targets": [
{
"targetId": "<string>",
"platform": "twitter",
"platformPostId": "<string>",
"metrics": {
"likes": 4503599627370495,
"comments": 4503599627370495,
"reposts": 4503599627370495,
"quotes": 4503599627370495,
"shares": 4503599627370495,
"saves": 4503599627370495,
"impressions": 4503599627370495,
"reach": 4503599627370495,
"clicks": 4503599627370495,
"views": 4503599627370495,
"engagementRate": 1,
"lastUpdated": "<string>"
},
"unsupportedMetrics": [
"<string>"
],
"syncStatus": "synced",
"errorMessage": "<string>",
"accountId": "<string>",
"nativeUrl": "<string>",
"fetchedAt": "<string>"
}
]
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Analytics
Get unified post analytics
Returns unified post analytics. Single-post mode fetches supported platform metrics and stores snapshots; list mode reads the latest stored snapshots without provider fan-out.
GET
/
v1
/
analytics
Get unified post analytics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minimum string length:
1Available options:
twitter, pinterest, linkedin, bluesky, mastodon, reddit, telegram, youtube, facebook, instagram, threads, tiktok, googlebusiness, discord Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Required range:
1 <= x <= 100Required range:
1 <= x <= 9007199254740991Available options:
date, engagement, likes, comments, reposts, impressions, reach, clicks, views, shares, saves Available options:
asc, desc Was this page helpful?